# Offline Tasks

## How to Run the Offline Tasks
First, start a scheduler daemon (here on the deepthought) to allow for the processing of tasks on multiple machines:

```shell
foo@deepthought:~$ sb2  # setup basf2
foo@deepthought:~$ cd </dir/to/rdstar_repo>  # go to the directory of the rdstar repository!
foo@deepthought:rdstar$ ls luigi.cfg  # the scheduler must be started from the directory that contains the luigi.cfg file
foo@deepthought:rdstar$ luigid --port 8047  # start luigi's central scheduler
```

Then workers can be started:

```shell
python3 rdstar/offline_analysis/offline_tasks.py --scheduler-host deepthought --scheduler-port 8047 &> </path/to/some/dir/>offline_tasks_DDthMONTHYYYY.log
```

preferably in a stable shell session (using `screen`, `tmux`, etc.) with your environment set up.
This must also happen in the rdstar repository directory that contains the `luigi.cfg` file!
Of course the log file is optional.
