"""
MC Matching
"""

from rdstar.offline_analysis.mc_matching.old_mc_matching_info import OldMCMatchingIDsQueryInfo
from rdstar.offline_analysis.mc_matching.mc_matching_info import ExtendedMCMatchingIDsQueryInfo

__all__ = [
    "default_sig_id_col_name",
    "extended_sig_id_col_name",
]

default_sig_id_col_name: str = OldMCMatchingIDsQueryInfo.sig_col_name
extended_sig_id_col_name: str = ExtendedMCMatchingIDsQueryInfo.sig_col_name
